FROM php:7.4-apache
# Update OS and install common dev tools
RUN apt-get update
RUN apt-get install -y wget git zip unzip zlib1g-dev libzip-dev libpng-dev libgmp-dev libsnmp-dev  rrdtool snmp 

# Install PHP extensions needed
#RUN docker-php-ext-install -j$(nproc) gmp

RUN docker-php-ext-install pdo pdo_mysql gd sockets gmp  gettext
RUN docker-php-ext-install mysqli && docker-php-ext-enable mysqli
   
## Configure LDAP.
RUN apt-get update \
 && apt-get install libldap2-dev -y \
 && rm -rf /var/lib/apt/lists/* \
 && docker-php-ext-configure ldap --with-libdir=lib/x86_64-linux-gnu/ \
 && docker-php-ext-install ldap


# Enable common Apache modules
RUN a2enmod headers expires rewrite



COPY CONFIGS/php.ini  /usr/local/etc/php/conf.d/
COPY cacti/ /var/www/html/cacti
COPY ./CONFIGS/config.php /var/www/html/cacti/include/config.php
RUN chown www-data: -R  /var/www/html/cacti


COPY ./CONFIGS/cacti-poller  /etc/cron.d/
RUN chmod 0644 /etc/cron.d/cacti-poller
RUN touch /var/log/cron.log

EXPOSE 80/tcp
EXPOSE 443/tcp

